<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" encoding="utf-8"/>


	<xsl:variable name="descTestResults1">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/settlement))=0">Obligatory field "Settlement" is empty. </xsl:if>
	</xsl:variable>
	<xsl:variable name="descTestResults2">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/repository))=0">Obligatory field "Repository" is empty.</xsl:if>
	</xsl:variable>
	<xsl:variable name="descTestResults3">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/idno))=0">Obligatory field "shelf-number" is empty.</xsl:if>
	</xsl:variable>


	<xsl:template match="/manuscript">
		<html>
			<head>
		     <xsl:text disable-output-escaping="yes"><![CDATA[<meta http-equiv="Content-Type" content="text/html; charset=utf-8">]]></xsl:text>
				<title>Kontrolor v. 0.1</title>
				<xsl:call-template name="page_styles"/>
				<xsl:call-template name="page_scripts"/>
			</head>
			<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="ededed" onload="summary();">
				<br/>
				<xsl:call-template name="initial_messages"/>
				<div class="desc">
				<div class="desc" id="resultDiv">
					<p class="desc" style="margin-top:15;margin-bottom:15;" id="status"><br/>Checking accessibility of the images (<font id="progressBar">0</font> %) ...</p>
				</div>
<!--				<xsl:call-template name="getDesc"/>-->
				<div class="desc">
					<p class="desc" style="margin-top:15;margin-bottom:15;">Check preview of first images</p>
				</div>
				<p class="kontrolor">
					<xsl:for-each select="/manuscript/page[1]/pgImage[@href!='']">
						<font id="{translate(@href,'\','/')}?posAiP?{position()}"><img src="{@href}" alt="{translate(@href,'\','/')}" onload="imgFound('{translate(@href,'\','/')}?posAiP?{position()}',this.src);" onerror="imgMissing('{translate(@href,'\','/')}?posAiP?{position()}','{@id}')"/></font>
					</xsl:for-each>
				</p>
				</div>
				<br/>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="initial_messages">
	</xsl:template>
	
	<xsl:template name="page_styles">
		<style type="text/css">
p {font-family: Arial CE, Arial, sans-serif; font-size: 11pt; margin-left:25; margin-right:40}
a {color: #A52A1E; text-decoration:underline}
a:hover {color: #000062; text-decoration:underline}
p.kontrolor {margin-left:20pt}
p.kontrolorHLimportant {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: red; font-weight: bold}
p.kontrolorHLnormal {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; font-weight: normal}
p.kontrolorHLerror {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: red; font-weight: bold; color:white}
p.kontrolorHLerror2 {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: white; font-weight: normal; color:white}
div.kontrolorHLimportant {border-width: 1px; background-color: white; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:500; border-style: dotted}
div.kontrolorHLnormal {border-width: 1px; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:500; border-style: dotted}
div.kontrolorHLerror {border-width: 1px; background-color: ededed; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:100%; border-style: solid}
div.desc {border-width: 1px; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:100%; border-style: solid; background-color: white}
p.desc {margin-left:20pt; margin-right:20pt}
p.descSlim {margin-left:20pt; margin-right:20pt; margin-top:0pt; margin-bottom:0pt;}
h1.desc {margin-left:20pt; margin-right:20pt; margin-top: 15pt; margin-bttom: 15pt; font-size:15pt;font-family:arial ce, arial, sans-serif; }
a {color:#9d0a0e}
		</style>
	</xsl:template>
	
	<xsl:template name="page_scripts">
		<script language="javascript">
			<xsl:text disable-output-escaping="yes"><![CDATA[

function imgMissing(where,str) {
  var strNotFound="<font style='width:100;height:150;background-color:white;border:1;border-color:black;border-style:double;color:red;margin-bottom:4;text-align:center;padding:5px'><br/>Picture of page<br/><br/><b>"+str.substring(2,str.length)+" is missing</b></font>";
  document.getElementById(where).innerHTML=strNotFound;
}

function summary() {
  var x;
  var str="";
  var imgError=false;
  for (x in imgList) {
    if (imgList[x]=="#ok#") {
    } else {
      imgError=true;
      str=str+"Not found "+imgList[x].substring(0,imgList[x].indexOf("?posAiP?"))+".<br/>";
    }
  }
  if (imgError==true) {
    document.getElementById("status").innerHTML="<br><b>Following errors were found during the check of accessibility of the images:</b></font><br/><br/>"+str+ "&nbsp;";
    document.getElementById("resultDiv").style.background="ededed";
//    alert("Errors were found during the check.");
  } else {
    if (]]></xsl:text><xsl:choose>
		<xsl:when  test="string-length(normalize-space($descTestResults1))!=0 or string-length(normalize-space($descTestResults2))!=0 or string-length(normalize-space($descTestResults3))!=0">false</xsl:when>
		<xsl:otherwise>true</xsl:otherwise>
		</xsl:choose><xsl:text disable-output-escaping="yes"><![CDATA[) {
    document.getElementById("status").innerHTML="<b>No errors found during the check.</b>"; } else {
    document.getElementById("status").innerHTML="<b>Check of accessibility of images has been successful.</b>";
    }
//    alert("Check has been successful.");
  }
}

function imgFound(str,src) {
  var x;
  for (x in imgList) {
    if (imgList[x]==str) {
      imgList[x]="#ok#";
    }
  }
  imgProcessed++;
  document.getElementById("progressBar").innerHTML=Math.round((100*imgProcessed)/imgCount);
//  document.getElementById(str).innerHTML="";
}

var imgList=new Array (]]></xsl:text>

	<xsl:for-each select="/manuscript/page[1]/pgImage[@href!='']">
		<xsl:if test="position()>1"><xsl:text>,</xsl:text></xsl:if>
		<xsl:text>"</xsl:text><xsl:value-of select="translate(@href,'\','/')"/>?posAiP?<xsl:value-of select="position()"/><xsl:text>"</xsl:text>
	</xsl:for-each>

<xsl:text disable-output-escaping="yes"><![CDATA[);

var imgCount=]]></xsl:text><xsl:value-of select="count(/manuscript/page[1]/pgImage[@href!=''])"/><xsl:text disable-output-escaping="yes"><![CDATA[;
var imgProcessed=0;

//alert("Check of image data.\n\nDuration depends on speed of your internet connection, may take several minutes.");

			]]></xsl:text>
		</script>
	</xsl:template>

	<xsl:template name="getDesc">
		<xsl:choose>
			<xsl:when test="string-length(normalize-space($descTestResults1))!=0 or string-length(normalize-space($descTestResults2))!=0 or string-length(normalize-space($descTestResults3))!=0">
				<div class="kontrolorHLerror" style="padding-bottom:15px;padding-top:15px;padding-left:0px;padding-right:0px">
					<p class="desc"><b>Errors were found, during the check of completion of bibliographic description:</b></p>
					<xsl:if test="string-length(normalize-space($descTestResults1))!=0"><p class="descSlim"><xsl:value-of select="$descTestResults1"/><br/></p></xsl:if>
					<xsl:if test="string-length(normalize-space($descTestResults2))!=0"><p class="descSlim"><xsl:value-of select="$descTestResults2"/><br/></p></xsl:if>
					<xsl:if test="string-length(normalize-space($descTestResults3))!=0"><p class="descSlim"><xsl:value-of select="$descTestResults3"/><br/></p></xsl:if>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="desc">
					<p class="desc" style="margin-top:15;margin-bottom:15;">Gallery of images of the lowest quality</p>
				</div>
				<h1 class="desc">Location</h1>
				<xsl:if test="string-length(normalize-space(msDescription/msIdentifier/settlement))!=0"><p class="descSlim"><b>Settlement: </b><xsl:value-of select="msDescription/msIdentifier/settlement"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/msIdentifier/repository))!=0"><p class="descSlim"><b>Repository: </b><xsl:value-of select="msDescription/msIdentifier/repository"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/msIdentifier/idno))!=0"><p class="descSlim"><b>Shelf-number: </b><xsl:value-of select="msDescription/msIdentifier/idno"/></p></xsl:if>
				<h1 class="desc">Heading</h1>
				<xsl:if test="string-length(normalize-space(msDescription/msHeading/title))!=0"><p class="descSlim"><b>Main title: </b><xsl:value-of select="msDescription/msHeading/title"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/msHeading/author))!=0"><p class="descSlim"><b>Author: </b><xsl:value-of select="msDescription/msHeading/author"/></p></xsl:if>
				<xsl:for-each select="msDescription/msHeading/respStmt[string-length(normalize-space(name))!=0]">
						<xsl:choose>
							<xsl:when test="resp='publisher'">
								<xsl:for-each select="name">
									<p class="descSlim">
										<xsl:choose>
											<xsl:when test="@type='place'"><b>Place of publication: </b></xsl:when>
											<xsl:when test="@type='person'"><b>Name of Publisher: </b></xsl:when>
										</xsl:choose>
										<xsl:value-of select="."/><br/>
									</p>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="resp='printer'">
								<xsl:for-each select="name">
									<p class="descSlim">
										<xsl:choose>
											<xsl:when test="@type='place'"><b>Place of printing: </b></xsl:when>
											<xsl:when test="@type='person'"><b>Name of printer: </b></xsl:when>
										</xsl:choose>
										<xsl:value-of select="."/><br/>
									</p>
								</xsl:for-each>
							</xsl:when>
						</xsl:choose>
				</xsl:for-each>
				<xsl:if test="string-length(normalize-space(msDescription/msHeading/origDate))!=0"><p class="descSlim"><b>Date of origin: </b><xsl:value-of select="msDescription/msHeading/origDate"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/msHeading/textLang))!=0"><p class="descSlim"><b>Language of original: </b><xsl:value-of select="msDescription/msHeading/textLang"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/msHeading/note))!=0"><p class="descSlim"><b>Note: </b><xsl:value-of select="msDescription/msHeading/note"/></p></xsl:if>
				<h1 class="desc">Content</h1>
				<p class="descSlim">
					<xsl:for-each select="msDescription/msContents/overview/p">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:value-of select="."/>
					</xsl:for-each>
				</p>
				<h1 class="desc">Physical description</h1>
				<xsl:if test="string-length(normalize-space(msDescription/physDesc/support/p))!=0"><p class="descSlim"><b>Material: </b><xsl:value-of select="msDescription/physDesc/support/p"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/physDesc/extent/text()))!=0"><p class="descSlim"><b>Extent: </b><xsl:value-of select="msDescription/physDesc/extent/text()"/></p></xsl:if>
				<xsl:if test="string-length(normalize-space(msDescription/physDesc/extent/dimensions))!=0"><p class="descSlim"><b>Dimensions: </b><xsl:value-of select="msDescription/physDesc/extent/dimensions"/></p></xsl:if>
				<p class="desc">
					<b>Notation:<br/></b>
					<xsl:for-each select="msDescription/physDesc/musicNotation/p">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:value-of select="."/>
					</xsl:for-each>
				</p>
				<p class="desc">
					<b>Illumination:<br/></b>
					<xsl:for-each select="msDescription/physDesc/decoration/decoNote/p">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:value-of select="."/>
					</xsl:for-each>
				</p>
				<p class="desc">
					<b>Binding:<br/></b>
					<xsl:for-each select="msDescription/physDesc/bindingDesc/binding/p">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:value-of select="."/>
					</xsl:for-each>
				</p>
				<h1 class="desc">Additional information</h1>
				<p class="desc">
				<b><xsl:text>Bibliography:</xsl:text></b><br/><br/>
					<xsl:for-each select="msDescription/additional/listBibl/bibl">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:call-template name="getBibl"/>
					</xsl:for-each>
				</p>
				<p class="desc">
					<b><xsl:text>Source of record:</xsl:text></b><br/><br/>
					<xsl:for-each select="msDescription/additional/adminInfo/recordHist/source/p">
						<xsl:if test="position()>1"><br/></xsl:if><xsl:call-template name="getBibl"/>
					</xsl:for-each>
				</p>
				<br/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="getBibl">
		<xsl:variable name="str" select="."/>
		<xsl:variable name="stra" select="substring-after($str,'http://')"/>
		<xsl:choose>
			<xsl:when test="contains($str,'http://')">
				<xsl:choose>
					<xsl:when test="contains($stra,' ')">
						<xsl:value-of select="substring-before($str,'http://')"/><a class="ctrl" href="http://{substring-before($stra,' ')}" target="new">http://<xsl:value-of select="substring-before($stra,' ')"/></a><xsl:text> </xsl:text><xsl:value-of select="substring-after($stra,' ')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring-before($str,'http://')"/><a class="ctrl" href="http://{$stra}" target="new">http://<xsl:value-of select="$stra"/></a>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$str"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
