<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" encoding="utf-8"/>


	<xsl:variable name="descTestResults1">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/settlement))=0">Obligatory field "Settlement" is empty. </xsl:if>
	</xsl:variable>
	<xsl:variable name="descTestResults2">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/repository))=0">Obligatory field "Repository" is empty.</xsl:if>
	</xsl:variable>
	<xsl:variable name="descTestResults3">
		<xsl:if test="string-length(normalize-space(/manuscript/msDescription/msIdentifier/idno))=0">Obligatory field "shelf-number" is empty.</xsl:if>
	</xsl:variable>


	<xsl:template match="/manuscript">
		<html>
			<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache"/>
<META HTTP-EQUIV="Expires" CONTENT="-1"/>
		     <xsl:text disable-output-escaping="yes"><![CDATA[<meta http-equiv="Content-Type" content="text/html; charset=utf-8">]]></xsl:text>
				<title>Kontrolor v. 0.1</title>
				<xsl:call-template name="page_styles"/>
				<xsl:call-template name="page_scripts"/>
			</head>
			<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="ededed" onload="setTimeout('isRunning()',timeout)">
				<br/>
				<xsl:call-template name="initial_messages"/>
				<div class="desc">
					<div class="kontrolorHLerror" style="background-color:white" id="info"><p style="margin-bottom:15"><br/>Checking ... </p></div>
					<div class="invisible" id="abortArea"><div class="kontrolorHLerror" onclick='userAbort()' style="width:150;cursor:hand;background-color:cccccc" onmouseover="this.style.borderColor='red';" onmouseout="this.style.borderColor='black';">
						<p class="kontrolor" style="text-align:center">Stop</p>
					</div></div>
				<p class="kontrolor" style="text-align:center"><br/>
					<br/>
					<font id="dispArea"><img id="testImg" src="{translate(/manuscript/page/pgImage[@href!='']/@href,'\','/')}" onload="if ((imgList.length-1)>imgPos) this.src=getNext(); else getResults()" onabort="userAbort();"/></font>
				</p><br/>
				</div>
				<br/>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="initial_messages">
	</xsl:template>
	
	<xsl:template name="page_styles">
		<style type="text/css">
p {font-family: Arial CE, Arial, sans-serif; font-size: 11pt; margin-left:25; margin-right:40}
a {color: #A52A1E; text-decoration:underline}
a:hover {color: #000062; text-decoration:underline}
p.kontrolor {margin-left:20pt}
p.kontrolorHLimportant {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: red; font-weight: bold}
p.kontrolorHLnormal {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; font-weight: normal}
p.kontrolorHLerror {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: red; font-weight: bold; color:white}
p.kontrolorHLerror2 {margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; color: white; font-weight: normal; color:white}
div.kontrolorHLimportant {border-width: 1px; background-color: white; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:500; border-style: dotted}
div.kontrolorHLnormal {border-width: 1px; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:500; border-style: dotted}
div.kontrolorHLerror {border-width: 1px; background-color: ededed; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:100%; border-style: solid}
div.desc {border-width: 1px; margin-left:20pt; margin-right:20pt; margin-top:10pt; margin-bottom:10pt; width:100%; border-style: solid; background-color: white}
div.invisible {border-width: 0px; margin-left:0pt; margin-right:0pt; margin-top:0pt; margin-bottom:0pt; border-style: none; background-color: white}
p.desc {margin-left:20pt; margin-right:20pt}
p.descSlim {margin-left:20pt; margin-right:20pt; margin-top:0pt; margin-bottom:0pt;}
h1.desc {margin-left:20pt; margin-right:20pt; margin-top: 15pt; margin-bttom: 15pt; font-size:15pt;font-family:arial ce, arial, sans-serif; }
a {color:#9d0a0e}
		</style>
	</xsl:template>
	
	<xsl:template name="page_scripts">
		<script language="javascript">
			<xsl:text disable-output-escaping="yes"><![CDATA[

var imgPos=0;
var errorStr="";
var errorCount=0;
var errorLimit=500;
var timeout=15000;

function getNext() {
	imgPos++;
	setTimeout("testLoad("+imgPos+")",timeout);
	document.getElementById("info").innerHTML="<p><br/>Checking ("+Math.round((100*imgPos)/imgCount)+" %) "+imgList[imgPos]+" ...<br/>"+errorStr+"<br/>&nbsp;</p>";
	return imgList[imgPos];
}

function errorAbort() {
	document.getElementById('info').style.backgroundColor="ededed";
	document.getElementById("info").innerHTML="<p><b><br/>Too many errors. Checking has been stopped. Finished "+Math.round((100*imgPos)/imgCount)+" %. </b><br/>"+errorStr+"<br/>&nbsp;</p>";
	imgPos=imgCount;
	document.getElementById('abortArea').innerHTML="";
}

function userAbort() {
	document.getElementById("info").innerHTML="<p><b><br/>Check interrupted by user. Finished "+Math.round((100*imgPos)/imgCount)+" %. </b><br/>"+errorStr+"<br/>&nbsp;</p>";
	imgPos=imgCount;
	document.getElementById('abortArea').innerHTML="";
}

var firstLoaded=0;

function testLoad(i) {
	if (i==imgPos && (i!=imgCount-1)) {
		errorCount++;
		errorStr=errorStr+"<br/>During the time limit was impossible to load " + imgList[i];
		if ((imgList.length-1)>imgPos) document.getElementById("testImg").src=getNext();
	} else firstLoaded=i;
	if (i==imgCount-1) {
		getResults();
	} else {
		if (errorCount>errorLimit) {
			errorAbort();
		}
	}
}

function getResults() {
	document.getElementById('dispArea').innerHTML="";
	if (errorStr=="") {
		document.getElementById('info').innerHTML="<p><br/><b>No errors found during the check.</b><br/>&nbsp;</p>";
		document.getElementById('abortArea').innerHTML="";
		} else {
		document.getElementById('info').style.backgroundColor="ededed";
		document.getElementById('info').innerHTML="<p><b><br/>Errors found during the check:</b><br/>"+errorStr+"<br/>&nbsp;</p>";
		document.getElementById('abortArea').innerHTML="";
		}
}

function isRunning() {
	errorStr=errorStr+"<br/>During the time limit was impossible to load " + imgList[imgPos];
	errorCount++;
	if ((imgList.length-1)>imgPos) {
		document.getElementById("testImg").src=getNext();
	}
}

var imgList=new Array (]]></xsl:text>

	
	<xsl:variable name="qCount" select="count(/manuscript/page[pgImage/@href!=''][not(preceding-sibling::page[pgImage/@href!=''])]/pgImage/@href)"/>
	<xsl:for-each select="/manuscript/page[pgImage/@href!=''][not(preceding-sibling::page[pgImage/@href!=''])]/pgImage/@href">
		<xsl:variable name="currQ" select="$qCount+1-position()"/>
		<xsl:if test="position()>1"><xsl:text>,</xsl:text></xsl:if>
		<xsl:for-each select="/manuscript/page/pgImage[@href!=''][$currQ]">
			<xsl:if test="position()>1"><xsl:text>,</xsl:text></xsl:if>
			<xsl:text>"</xsl:text><xsl:value-of select="translate(@href,'\','/')"/><xsl:text>"</xsl:text>
		</xsl:for-each>
	</xsl:for-each>
	
<!--
	<xsl:for-each select="/manuscript/page/pgImage[@href!='']">
		<xsl:if test="position()>1"><xsl:text>,</xsl:text></xsl:if>
		<xsl:text>"</xsl:text><xsl:value-of select="translate(@href,'\','/')"/><xsl:text>"</xsl:text>
	</xsl:for-each>
-->
<xsl:text disable-output-escaping="yes"><![CDATA[,"");

var imgCount=]]></xsl:text><xsl:value-of select="count(/manuscript/page/pgImage[@href!='']) + 1"/><xsl:text disable-output-escaping="yes"><![CDATA[;

//alert("Check of image data.\n\nDuration depends on speed of your internet connection, may take several minutes.");

			]]></xsl:text>
		</script>
	</xsl:template>

	
</xsl:stylesheet>
